Share via


Guest Agents - Create

Implements GuestAgent PUT method.
Create Or Update GuestAgent.

PUT https://management.azure.com/{resourceUri}/providers/Microsoft.ScVmm/virtualMachineInstances/default/guestAgents/default?api-version=2025-03-13

URI Parameters

Name In Required Type Description
resourceUri
path True

string

The fully qualified Azure Resource manager identifier of the resource.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties.credentials

GuestCredential

Username / Password Credentials to provision guest agent.

properties.httpProxyConfig

HttpProxyConfiguration

HTTP Proxy configuration for the VM.

properties.privateLinkScopeResourceId

string (arm-id)

The resource id of the private link scope this machine is assigned to, if any.

properties.provisioningAction

ProvisioningAction

Gets or sets the guest agent provisioning action.

Responses

Name Type Description
200 OK

GuestAgent

Resource 'GuestAgent' update operation succeeded

201 Created

GuestAgent

Resource 'GuestAgent' create operation succeeded

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

GuestAgents_Create_MaximumSet
GuestAgents_Create_MinimumSet

GuestAgents_Create_MaximumSet

Sample request

PUT https://management.azure.com/gtgclehcbsyave/providers/Microsoft.ScVmm/virtualMachineInstances/default/guestAgents/default?api-version=2025-03-13

{
  "properties": {
    "credentials": {
      "username": "jqxuwirrcpfv",
      "password": "gkvbnmuahumuoibvscoxzfdqwvfuf"
    },
    "httpProxyConfig": {
      "httpsProxy": "uoyzyticmohohomlkwct"
    },
    "provisioningAction": "install"
  }
}

Sample response

{
  "properties": {
    "uuid": "hbsgztyakewtgbuxbesezncnzu",
    "credentials": {
      "username": "jqxuwirrcpfv"
    },
    "httpProxyConfig": {
      "httpsProxy": "uoyzyticmohohomlkwct"
    },
    "provisioningAction": "install",
    "status": "jpoukrzfenzrmjdahimkl",
    "customResourceName": "mhqymxkapuvsugd",
    "provisioningState": "Succeeded",
    "privateLinkScopeResourceId": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.HybridCompute/privateLinkScopes/privateLinkResourceName"
  },
  "id": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.ScVmm/virtualMachineInstances/default/guestAgents/default",
  "name": "rwecpthzyt",
  "type": "dkcgcbtlwtsedxzhvtu",
  "systemData": {
    "createdBy": "p",
    "createdByType": "User",
    "createdAt": "2024-01-29T22:28:00.094Z",
    "lastModifiedBy": "goxcwpyyqlxndquly",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-01-29T22:28:00.095Z"
  }
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
  "properties": {
    "uuid": "hbsgztyakewtgbuxbesezncnzu",
    "credentials": {
      "username": "jqxuwirrcpfv"
    },
    "httpProxyConfig": {
      "httpsProxy": "uoyzyticmohohomlkwct"
    },
    "provisioningAction": "install",
    "status": "jpoukrzfenzrmjdahimkl",
    "customResourceName": "mhqymxkapuvsugd",
    "provisioningState": "Succeeded",
    "privateLinkScopeResourceId": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.HybridCompute/privateLinkScopes/privateLinkResourceName"
  },
  "id": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.ScVmm/virtualMachineInstances/default/guestAgents/default",
  "name": "rwecpthzyt",
  "type": "dkcgcbtlwtsedxzhvtu",
  "systemData": {
    "createdBy": "p",
    "createdByType": "User",
    "createdAt": "2024-01-29T22:28:00.094Z",
    "lastModifiedBy": "goxcwpyyqlxndquly",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-01-29T22:28:00.095Z"
  }
}

GuestAgents_Create_MinimumSet

Sample request

PUT https://management.azure.com/gtgclehcbsyave/providers/Microsoft.ScVmm/virtualMachineInstances/default/guestAgents/default?api-version=2025-03-13

{}

Sample response

{}
Azure-AsyncOperation: https://contoso.com/operationstatus
{}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

GuestAgent

Defines the GuestAgent.

GuestCredential

Username / Password Credentials to connect to guest.

HttpProxyConfiguration

HTTP Proxy configuration for the VM.

ProvisioningAction

Guest agent provisioning action.

ProvisioningState

The provisioning state of the resource.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

GuestAgent

Defines the GuestAgent.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.credentials

GuestCredential

Username / Password Credentials to provision guest agent.

properties.customResourceName

string

Gets the name of the corresponding resource in Kubernetes.

properties.httpProxyConfig

HttpProxyConfiguration

HTTP Proxy configuration for the VM.

properties.privateLinkScopeResourceId

string (arm-id)

The resource id of the private link scope this machine is assigned to, if any.

properties.provisioningAction

ProvisioningAction

Gets or sets the guest agent provisioning action.

properties.provisioningState

ProvisioningState

Provisioning state of the resource.

properties.status

string

Gets the guest agent status.

properties.uuid

string

Gets a unique identifier for this resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

GuestCredential

Username / Password Credentials to connect to guest.

Name Type Description
password

string (password)

Gets or sets the password to connect with the guest.

username

string

Gets or sets username to connect with the guest.

HttpProxyConfiguration

HTTP Proxy configuration for the VM.

Name Type Description
httpsProxy

string

Gets or sets httpsProxy url.

ProvisioningAction

Guest agent provisioning action.

Value Description
install

Install guest agent.

uninstall

Uninstall guest agent.

repair

Repair guest agent.

ProvisioningState

The provisioning state of the resource.

Value Description
Succeeded

Resource has been created.

Failed

Resource creation failed.

Canceled

Resource creation was canceled.

Provisioning

The resource is provisioning.

Updating

The resource is updating.

Deleting

The resource is being deleted.

Accepted

The resource has been accepted.

Created

The resource was created.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.